Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Aug 2025 16:07:45 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Wed, 06 Aug 2025 13:16:27 +0200
> 
> Paul Eggert <[email-masked]> writes:
> 
> > Although these are not fatal objections, they're messes that we're
> > better off without. Testing should be simple, not complicated.
> 
> Yes of course.  The second part of my idea is that maybe -Q could be a
> shortcut for "-q --no-site-file --no-splash
> --init-directory=$TMPDIR_SOMEWHERE_THAT_WOULD_BE_DELETED_WHEN_QUITTING"

That's an incompatible change, so we cannot easily make -Q do that.
No one said that -Q makes the user's home directory inaccessible.